"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.schematicAngularCLI = void 0;
const schematics_1 = require("@angular-devkit/schematics");
const schema_1 = require("@schematics/angular/ng-new/schema");
function schematicAngularCLI(name, routing, style = schema_1.Style.Scss) {
    return (_tree, _context) => {
        const options = {
            name,
            version: '14.x',
            routing,
            strict: true,
            style,
            directory: name,
            packageManager: schema_1.PackageManager.Npm,
        };
        return (0, schematics_1.externalSchematic)('@schematics/angular', 'ng-new', options);
    };
}
exports.schematicAngularCLI = schematicAngularCLI;
//# sourceMappingURL=index.js.map