"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.removeKarma = void 0;
const karmaFilesPaths = [
    "./karma.conf.js"
];
function removeKarma(name) {
    return (tree, _) => {
        karmaFilesPaths.forEach((file) => {
            const path = `/${name}/${file}`;
            if (tree.exists(path)) {
                tree.delete(path);
            }
        });
        return tree;
    };
}
exports.removeKarma = removeKarma;
//# sourceMappingURL=index.js.map