"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.replaceFavicon = void 0;
const schematics_1 = require("@angular-devkit/schematics");
function replaceFavicon(name) {
    return (tree, _) => {
        const path = `/${name}/src`;
        const file = `${path}/favicon.ico`;
        if (tree.exists(file)) {
            tree.delete(file);
        }
        return (0, schematics_1.mergeWith)((0, schematics_1.apply)((0, schematics_1.url)('./utils/replace-files/favicon/files'), [(0, schematics_1.move)(path)]));
    };
}
exports.replaceFavicon = replaceFavicon;
//# sourceMappingURL=index.js.map