import { Rule } from '@angular-devkit/schematics';
export interface NodePackage {
    name: string;
    version: string;
}
export declare function removePackages(name: string): Rule;
export declare function updatePackageJson(name: string): Rule;
/**
 * Attempt to retrieve the latest package version from NPM
 * Return an optional "latest" version in case of error
 * @param packageName
 */
export declare function getLatestNodeVersion(packageName: string): Promise<NodePackage>;
